Bug 399701 - fltk applications do not work in fedora 6
fltk applications do not work in fedora 6
Product: Fedora
Classification: Fedora
Component: fltk (Show other bugs)
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-26 12:39 EST by Joss Earl
Modified: 2007-12-12 12:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-12 12:53:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joss Earl 2007-11-26 12:39:27 EST
FLTK applications dont run on fedora because fedora 6 [and above presumably]
uses a non-released version of fltk [fltk-1.1.18] latest stable version is 1.1.17

Version-Release number of selected component (if applicable):
fltk.x86_64                              1.1.8-0.3.r5750.fc6    extras
fltk-devel.x86_64                        1.1.8-0.3.r5750.fc6    extras
fltk-fluid.x86_64                        1.1.8-0.3.r5750.fc6    extras

How reproducible:
run any fltk application

Steps to Reproduce:
1. yum install fltk-fluid
2. fluid 
3. crashes before one does anything


Expected results:
application should appear

Additional info:
gdb fluid
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47724522584512 (LWP 19740)]
0x00002b67b986da5f in XftCharIndex () from /usr/lib64/libXft.so.2
(gdb) where
#0  0x00002b67b986da5f in XftCharIndex () from /usr/lib64/libXft.so.2
#1  0x00002b67b986abc5 in XftDrawString8 () from /usr/lib64/libXft.so.2
#2  0x00002b67b940fe62 in fl_draw () from /usr/lib64/libfltk.so.1.1
#3  0x00002b67b940cdea in fl_draw () from /usr/lib64/libfltk.so.1.1
#4  0x00002b67b940d4f2 in fl_draw () from /usr/lib64/libfltk.so.1.1
#5  0x00002b67b941181e in fl_normal_label () from /usr/lib64/libfltk.so.1.1
#6  0x00002b67b93e3f0c in Fl_Menu_Item::draw () from /usr/lib64/libfltk.so.1.1
#7  0x00002b67b93e6a4c in Fl_Menu_Bar::draw () from /usr/lib64/libfltk.so.1.1
#8  0x00002b67b93d4e78 in Fl_Group::draw_child ()
   from /usr/lib64/libfltk.so.1.1
#9  0x00002b67b93d4f77 in Fl_Group::draw_children ()
   from /usr/lib64/libfltk.so.1.1
#10 0x00002b67b9400ff4 in Fl_Window::draw () from /usr/lib64/libfltk.so.1.1
#11 0x00002b67b93ce8a1 in Fl_Double_Window::flush ()
   from /usr/lib64/libfltk.so.1.1
#12 0x00002b67b93c12b9 in Fl::flush () from /usr/lib64/libfltk.so.1.1
#13 0x00002b67b93c150e in Fl::wait () from /usr/lib64/libfltk.so.1.1
#14 0x00002b67b93c15ed in Fl::wait () from /usr/lib64/libfltk.so.1.1
#15 0x000000000043c295 in toggle_sourceview_cb ()
#16 0x0000003c4a21da44 in __libc_start_main () from /lib64/libc.so.6
#17 0x0000000000410549 in Fl_Browser_::draw ()
#18 0x00007ffff1b373c8 in ?? ()
#19 0x0000000000000000 in ?? ()
Comment 1 Patrice Dumas 2007-11-26 16:08:06 EST
On devel, x86, with F8 package fltk-1.1.8-0.4.r5750.fc8
I dn't see such a crash.
Comment 2 Joss Earl 2007-11-26 16:23:15 EST
Hmm, I guess there is 64 bit specific bug in fltk-1.1.8 then. I compiled fluid
from fltk-1.1.7 on this same [64 bit] server and it ran fine.
Comment 3 Rex Dieter 2007-11-27 13:11:55 EST
> applications dont run on fedora because fedora 6 [and above presumably]
> uses a non-released version of fltk

Truth is, we upgraded due to other 64bit bugs/issues being fixed with the 1.1.8
snapshots (see bug #219348).
Comment 4 Rex Dieter 2007-12-12 12:53:51 EST
Sorry, we were unable to address this before FC6 went End of Life.

The Fedora Project no longer maintains this version of the product. Please
upgrade to the latest version and open a new bug if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.